Bug 1209669 - Add TM to new editor
Summary: Add TM to new editor
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI, Usability   
(Show other bugs)
Version: 3.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7
Assignee: David Mason
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-08 00:31 UTC by Michelle Kim
Modified: 2015-07-22 02:19 UTC (History)
6 users (show)

Fixed In Version: 3.7.0-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: 5
Clone Of:
Environment:
Last Closed: 2015-07-22 02:19:57 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1217291 None None None Never

Internal Trackers: 1217291

Description Michelle Kim 2015-04-08 00:31:44 UTC

Comment 1 Michelle Kim 2015-04-29 04:18:05 UTC
Here is the final prototype:
http://marvl.in/53h8di

Step 1

- TM Panel (sans glossary and machine translation)
- Automatically search for selected source text
- Search bar - Fuzzy only 
- Diff toggle

Angular unit test 
Raw REST test

Comment 2 David Mason 2015-05-21 10:38:04 UTC
Pull requests for new REST endpoint on server, and changes to the new editor:

Server: https://github.com/zanata/zanata-server/pull/816
Editor: https://github.com/zanata/zanata-spa/pull/91

Comment 3 Damian Jansen 2015-06-12 01:49:30 UTC
Verified at 81f4476e1c4fd321d0c73f6b79851d20b520f649


Note You need to log in before you can comment on or make changes to this bug.